Bug 146621 - do_page_fault panic in kernel
do_page_fault panic in kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-30 16:52 EST by satish
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 20:56:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description satish 2005-01-30 16:52:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20041001 Firefox/0.10.1

Description of problem:
FS:  0000002a955867c0(0000) GS:ffffffff805d9780(0000)
knlGS:0000000040016ae0
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000202 CR3: 0000000000101000 CR4: 00000000000006e0

Call Trace:  <EOE> [<ffffffff8011b263>]{smp_apic_timer_interrupt+291}
       [<ffffffff801108dc>]{apic_timer_interrupt+64}  <EOI>
[<ffffffff801f647d>]{__make_request+1277}
       [<ffffffff801f6407>]{__make_request+1159}
[<ffffffff801f65db>]{generic_make_request+331}
       [<ffffffff801f6651>]{submit_bh_rsector+97}
[<ffffffff8015ee1e>]{write_locked_buffers+62}
       [<ffffffff8015efa4>]{write_some_buffers+372}
[<ffffffff801244dc>]{call_console_drivers+268}
       [<ffffffff80124809>]{printk+473}
[<ffffffff8015efd7>]{write_unlocked_buffers+23}
       [<ffffffff8015f0ee>]{sync_buffers+30}
[<ffffffff8015f25a>]{fsync_dev+10}
       [<ffffffff8015f39b>]{sys_sync+11} [<ffffffff80123cbe>]{panic+286}
       [<ffffffff80111280>]{show_trace+640}
[<ffffffff801113bd>]{show_stack+205}
       [<ffffffff80111500>]{show_registers+304}
[<ffffffff801116ac>]{die+268}
       [<ffffffff801a51ad>]{do_page_fault+989}
[<ffffffff8027f3d2>]{tcp_v4_rcv+1330}
       [<ffffffff80262750>]{ip_local_deliver+288}
[<ffffffff801109d6>]{error_exit+0}
       [<ffffffff802b5d12>]{memcpy+18}
[<ffffffff8010ed13>]{__switch_to+499}
       [<ffffffff8011f882>]{thread_return+0}
[<ffffffffa02df20e>]{:panfs:pan_sock_sys_thpool_wait+174}
       [<ffffffffa05b7938>]{:panfs:pan_sock_junk+120}
[<ffffffffa02e21c8>]{:panfs:pan_sock_linux_kernel_thpool_func+184}
      
[<ffffffffa02d2fe0>]{:panfs:pan_ips_worker_initiator_sock_read_callback+0}
       [<ffffffffa02e2110>]{:panfs:pan_sock_linux_kernel_thpool_func+0}
       [<ffffffffa019b535>]{:panfs:pan_sys_thread_launch+421}
       [<ffffffff80110b91>]{child_rip+8}
[<ffffffffa019b390>]{:panfs:pan_sys_thread_launch+0}
       [<ffffffff80110b89>]{child_rip+0}
Process kpanfs_thpool (pid: 3182, stackpage=1007215b000)
Stack: ffffffff805de6d8 0000000000000018 0000000000100000 0000000000000000
       0000000000000000 ffffffff803e88e0 0000000000000001 0000000000000000
       0000000000000000 0000000000000000 00000100079d9400 0000000000000042
       00000100079e1280 ffffff0000000000 000000fffffff000 0000000000000000
       00000100079daa80 0000000000000000 0000000000000000 0000000100000001
       0000000000000001 0000000000000000 0000000000000000 0000000000000000
       00000100077e5e68 0000000000000000 00000000006cf5c0 0000000000000003
       0000000000000000 0000000000000000 0000000100000000 ffffffffffffffff
       ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff
       ffffffffffffffff ffffffffffffffff ffffffffffffffff ffffffffffffffff
Call Trace:  <EOE> [<ffffffff8011b263>]{smp_apic_timer_interrupt+291}
       [<ffffffff801108dc>]{apic_timer_interrupt+64}  <EOI>
[<ffffffff801f647d>]{__make_request+1277}
       [<ffffffff801f6407>]{__make_request+1159}
[<ffffffff801f65db>]{generic_make_request+331}
       [<ffffffff801f6651>]{submit_bh_rsector+97}
[<ffffffff8015ee1e>]{write_locked_buffers+62}
       [<ffffffff8015efa4>]{write_some_buffers+372}
[<ffffffff801244dc>]{call_console_drivers+268}
       [<ffffffff80124809>]{printk+473}
[<ffffffff8015efd7>]{write_unlocked_buffers+23}
       [<ffffffff8015f0ee>]{sync_buffers+30}
[<ffffffff8015f25a>]{fsync_dev+10}
       [<ffffffff8015f39b>]{sys_sync+11} [<ffffffff80123cbe>]{panic+286}
       [<ffffffff80111280>]{show_trace+640}
[<ffffffff801113bd>]{show_stack+205}
       [<ffffffff80111500>]{show_registers+304}
[<ffffffff801116ac>]{die+268}
       [<ffffffff801a51ad>]{do_page_fault+989}
[<ffffffff8027f3d2>]{tcp_v4_rcv+1330}
       [<ffffffff80262750>]{ip_local_deliver+288}
[<ffffffff801109d6>]{error_exit+0}
       [<ffffffff802b5d12>]{memcpy+18}
[<ffffffff8010ed13>]{__switch_to+499}
       [<ffffffff8011f882>]{thread_return+0}
[<ffffffffa02df20e>]{:panfs:pan_sock_sys_thpool_wait+174}
       [<ffffffffa05b7938>]{:panfs:pan_sock_junk+120}
[<ffffffffa02e21c8>]{:panfs:pan_sock_linux_kernel_thpool_func+184}
      
[<ffffffffa02d2fe0>]{:panfs:pan_ips_worker_initiator_sock_read_callback+0}
       [<ffffffffa02e2110>]{:panfs:pan_sock_linux_kernel_thpool_func+0}
       [<ffffffffa019b535>]{:panfs:pan_sys_thread_launch+421}
       [<ffffffff80110b91>]{child_rip+8}
[<ffffffffa019b390>]{:panfs:pan_sys_thread_launch+0}
       [<ffffffff80110b89>]{child_rip+0}

Code: f3 90 7e f7 e9 0b db ff ff 80 ba 00 02 5e 80 00 f3 90 7e f5

console shuts up ...


Version-Release number of selected component (if applicable):
2.4.21-15.EL

How reproducible:
Sometimes

Steps to Reproduce:
1. Running some dd 
2.
3.
    

Additional info:
Comment 1 satish 2005-01-30 17:58:55 EST
The top stack was 

Unable to handle kernel NULL pointer dereference at virtual address
0000000000000202
 printing rip:
ffffffff802b5d12
PML4 64d3a067 PGD 681d5067 PMD 0
Oops: 0000
CPU 0
Pid: 3182, comm: kpanfs_thpool Tainted: P
RIP: 0010:[<ffffffff802b5d12>]{memcpy+18}
RSP: 0018:000001007215bd58  EFLAGS: 00010002
RAX: ffffffff805d3868 RBX: 000001007215a760 RCX: 0000000000000001
RDX: 0000000000000080 RSI: 0000000000000202 RDI: ffffffff805d3868
RBP: 0000000000000000 R08: 00000000ffffffff R09: 0000010007788480
R10: 0000000000000001 R11: 0000000000000001 R12: ffffffff80610760
R13: 000001007215a000 R14: ffffffff80610000 R15: ffffffff805d3800
FS:  0000002a955867c0(0000) GS:ffffffff805d9780(0000)
knlGS:0000000040016ae0
                                                                     
         
    128177,1      99%
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000202 CR3: 0000000000101000 CR4: 00000000000006e0

Comment 2 Ernie Petrides 2005-01-31 20:56:54 EST
Hello, Satish.  Since this kernel is tainted, presumably by your "panfs"
module, we aren't able to assist you in debugging this problem.  If you
can reproduce a crash on a stock Red Hat kernel, please reopen this bug
report and attach the relevant oops output.  Thanks.
Comment 3 Rik van Riel 2005-01-31 22:04:07 EST
To be a bit more specific - Red Hat Engineering cannot look at the
problem, for various reasons.  However, Red Hat Support may be able to
help you, especially if panfs is certified for RHEL3.  You may want to
try raising your issue with the support organisation:

http://www.redhat.com/support/

Note You need to log in before you can comment on or make changes to this bug.